Page MenuHomePhabricator

db1033 (old s7 master) needs backup and reimage
Closed, ResolvedPublic

Event Timeline

jcrespo created this task.May 6 2016, 7:44 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 6 2016, 7:44 AM

@faidon At some point you personally offered help due to my large workload. This ticket is my responsability, but I would like to ask you to perform this one ticket (once) for me so that.

a) I can perform more complex tasks instead the requires deep knowledge and research
b) I think it is good for someone else outside of DBA to know the whole DBA reimaging/cloning process workflow so it can be done (should DBAs are unavailable) or to improve the current workflow. I know you are very busy, it doesn't have to be you personally, but alternatively it can be anyone outside of the DBA team (Maybe @akosiaris ?) that can later report to you his/her findings.

This is a strange request, but it is 100% in good faith. I selected 1 that is the smallest amount of work I could think of so it is not a huge deal. I think we will be able to improve the workflow after this. I want you to understand my struggles, but I am unable to appropriately communicate them (that is 100% my fault), so I believe that showing rather than telling will be clearer. The goal of this is to create appropriate tickets/prioritization to solve those issues. I believe that will be easier from the "outside". Even if I am completely wrong, and everthing is ok, at least you would have help me a bit with my huge workload. :-)

It is ok to say no (this is just a request, an an odd one), and I will reown the task in that case, with no problem. But I really wish you say yes.

jcrespo removed jcrespo as the assignee of this task.May 6 2016, 8:15 AM
jcrespo moved this task from Triage to Next on the DBA board.
jcrespo claimed this task.May 19 2016, 9:45 AM
jcrespo moved this task from Next to In progress on the DBA board.

Doing it now.

Change 289620 had a related patch set uploaded (by Jcrespo):
Depool db1033 (s7 old master) & db1029 (x1-slave) for maintenance

https://gerrit.wikimedia.org/r/289620

Change 289620 merged by Jcrespo:
Depool db1033 (s7 old master) & db1029 (x1-slave) for maintenance

https://gerrit.wikimedia.org/r/289620

Mentioned in SAL [2016-05-19T10:48:44Z] <jynus> db1033 stop, backup and reimage T134555

Change 289631 had a related patch set uploaded (by Jcrespo):
Upgrade db1033 to jessie and mariadb10

https://gerrit.wikimedia.org/r/289631

Change 289631 merged by Jcrespo:
Upgrade db1033 to jessie and mariadb10

https://gerrit.wikimedia.org/r/289631

Change 289686 had a related patch set uploaded (by Jcrespo):
Repool db1033 after maintenance with low weight

https://gerrit.wikimedia.org/r/289686

Change 289686 merged by Jcrespo:
Repool db1033 after maint. with low weight; increase db1029 weight

https://gerrit.wikimedia.org/r/289686

Change 289838 had a related patch set uploaded (by Jcrespo):
Increase db1029 and db1033 weight back to normal after upgrade

https://gerrit.wikimedia.org/r/289838

Change 289838 merged by Jcrespo:
Increase db1029 and db1033 weight back to normal after upgrade

https://gerrit.wikimedia.org/r/289838

jcrespo closed this task as Resolved.May 20 2016, 12:13 PM